import { boot } from 'quasar/wrappers';
import { formatDateTime } from 'src/utils/datetime';

export default boot(({ Vue }) => {
  Vue.filter('date', formatDateTime);
  Vue.filter('time', (date: Date, seconds = false) => formatDateTime(date, false, true, seconds));
  Vue.filter('dateTime', (date: Date, seconds = false, weekday = false) =>
    formatDateTime(date, true, true, seconds, weekday)
  );
});
